# 
DROP TABLE IF EXISTS users;
create table users
(
    id_user int NOT NULL auto_increment,                  
    login varchar(255) not null,
    id_parent int not null default 0,
    wmr varchar(255) not null default 0,
    balance float default 10,
    credit float default 0,
    name varchar(255) not null,
    site varchar(255) not null,
    id_cat int not null default 0,
    status enum('new','ban','active','delete') default 'active',
    statfor enum('user','admin','moder','Dear') default 'user',
    pwd varchar(255) default '',
    email varchar(255) default '',
    ext varchar(255) not null default '',
    regdate datetime default '0000-00-00',
    minbalance float default 200,
    extinfo text default '',
    checkkey varchar(255) default '',
    bannerstatus int default 1,
    description text,

    bank float default 0,

    todayclickI int default 0,
    todaymoneyI float default 0,
    allclickI int default 0,      

    todayclickMY int default 0,
    allclickMY int default 0,      
    allmoneyI float default 0,

    ip varchar(20) default '127.0.0.1',
    user_agent varchar(255) default '',
    ses char(15) default '',
    timeses int default 0,
    curpage varchar(255) default '',

    balance_money float default 0,
       primary key (id_user),
       key(status),
       key(balance),
       key(ext),
       key(ses),
       key(id_cat)
);
replace into users set id_user=1, balance=10, statfor='admin', name='good', pwd='030485', site='', ext='moderator,admin',login='good', email='moboport@mail.ru', wmr='';


DROP TABLE IF EXISTS transactions;
create table transactions
(
    id_trans int NOT NULL auto_increment,                  
    id_from int not null,
    id_to int not null,
    amount float not null default 0,
    description text,
    transdate datetime,
    typetrans varchar(255),
       primary key (id_trans),
       key(id_from),
       key(id_to)
);



#
DROP TABLE IF EXISTS links;
create table links
(
    id_link int NOT NULL auto_increment,                  
    url varchar(255) not null,                # 
    refer varchar(255) not null,             #  
	balance float default 0,               # 
    maxday int default 0,               #   
    maxipday int default 0,               #      IP
    ver set('comp','cell','opera') default 'comp,cell,opera',  #   

    status enum('hidden','active','delete','moderate','ban') default 'moderate', # 
    id_user int not null default 0,           #  
    counter int not null default 0,           # 
    counterbalance float default 0,
    counterday int not null default 0,        #    
    admindesc text default '',                #
    editdate datetime default '0000-00-00',   # 
    checkview int default 0,

    price float default 0,
    daykey int default 0,
timeserf int not null default 0,
v int not null default 60,
       primary key (id_link),
       key(status),
       key(id_user),
       key(ver)
);

#  
DROP TABLE IF EXISTS go_links;
create table go_links
(
    id_link int not null,                # 
    id_user int not null,                # 
    ip varchar(255) default '', # 
    uaid varchar(255) default '',
    amount float default 0,
    t int default 0,                     # 
	time varchar(40) not null,
    daykey int default 0,
        key(id_link),
        key(id_user)
);



#  
DROP TABLE IF EXISTS stat;
create table stat
(
    id_link int not null,                # 
    id_user int not null,                # 
    ip varchar(255) default '', # 
    uaid varchar(255) default '',
    amount float default 0,
    t int default 0,                     # 
	time varchar(40) not null,
    daykey int default 0,
        key(id_link),
        key(id_user)
);













DROP TABLE IF EXISTS inmail;
create table inmail
(
    id_mail int not null auto_increment,      #
    id_user int not null,                     #    
    id_contact int not null,                  #   (   )
    datesend datetime,
    folder enum('fin','fout','fdel'),         #,   
    subj varchar(255) default '',             #
    message text,                             #
    status enum('new','view') default 'new',
        primary key(id_mail),
        key(id_user),
        key(status)
);





DROP TABLE IF EXISTS forum;
create table forum
(
    id_mail int not null auto_increment,      #
   id_user int not null,                     #    
   login varchar(255) not null,
    #id_contact int not null,                  # 
    datesend datetime,
    folder enum('fin','fout','fdel'),         #,   
   # subj varchar(255) default '',             #
    message text,                             #
   # status enum('new','view') default 'new',
        primary key(id_mail)
       # key(id_user),
       # key(status)
);











